module ntt_sync (
    input         clk, rst_n,
    input  [11:0] coeff_in,
    input         valid_i,
    output        ready_o,
    output [11:0] coeff_out,
    output        valid_o,
    input         ready_i,
    input         mode,
    output        done_o
);
    ntt_core u_ntt_core (
        .clk(clk), .rst_n(rst_n),
        .coeff_in(coeff_in), .valid_i(valid_i), .ready_o(ready_o),
        .mode(mode),
        .coeff_out(coeff_out), .valid_o(valid_o), .ready_i(ready_i),
        .done_o(done_o)
    );
endmodule
